﻿using System;
using Microsoft.Win32;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string regPath = @"HARDWARE\DESCRIPTION\System\BIOS";

            using (RegistryKey systemKey = Registry.LocalMachine.OpenSubKey(regPath))
            {
                string biosDate = (string)systemKey.GetValue("BIOSReleaseDate");
                string biosMaker = (string)systemKey.GetValue("BIOSVendor");

                Console.WriteLine("BIOS 날짜: " + biosDate);
                Console.WriteLine("BIOS 제조사: " + biosMaker);
            }

            using (RegistryKey regKey = Registry.LocalMachine.OpenSubKey(regPath, true))
            {
                regKey.SetValue("TestValue1", 5);
                regKey.SetValue("TestValue2", "Test");
            }
        }
    }
}
